%define oname mechanize

Summary:	Stateful programmatic web browsing
Name:		python-%{oname}
Version:	0.4.8
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
URL:		http://wwwsearch.sourceforge.net/mechanize/
Source0:	https://pypi.python.org/packages/source/m/%{oname}/%{oname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:  python3-devel

%description
Stateful programmatic web browsing, after Andy Lester's Perl module
WWW::Mechanize.

The library is layered: mechanize.Browser (stateful web browser),
mechanize.UserAgent (configurable URL opener), plus urllib2 handlers.

Features include: ftp:, http: and file: URL schemes, browser history,
high-level hyperlink and HTML form support, HTTP cookies, HTTP-EQUIV and
Refresh, Referer [sic] header, robots.txt, redirections, proxies, and
Basic and Digest HTTP authentication.  mechanize's response objects are
(lazily-) .seek()able and still work after .close().

Much of the code originally derived from Perl code by Gisle Aas
(libwww-perl), Johnny Lee (MSIE Cookie support) and last but not least
Andy Lester (WWW::Mechanize).  urllib2 was written by Jeremy Hylton.

%package -n python3-%{oname}
Summary:	Stateful programmatic web browsing
Group:		Development/Python
%{?python_provide:%python_provide python3-%{oname}}
Obsoletes:	python-clientcookie
Provides:	python-clientcookie = %{version}-%{release}

%description -n python3-%{oname}
Stateful programmatic web browsing, after Andy Lester's Perl module
WWW::Mechanize.

The library is layered: mechanize.Browser (stateful web browser),
mechanize.UserAgent (configurable URL opener), plus urllib2 handlers.

Features include: ftp:, http: and file: URL schemes, browser history,
high-level hyperlink and HTML form support, HTTP cookies, HTTP-EQUIV and
Refresh, Referer [sic] header, robots.txt, redirections, proxies, and
Basic and Digest HTTP authentication.  mechanize's response objects are
(lazily-) .seek()able and still work after .close().

Much of the code originally derived from Perl code by Gisle Aas
(libwww-perl), Johnny Lee (MSIE Cookie support) and last but not least
Andy Lester (WWW::Mechanize).  urllib2 was written by Jeremy Hylton.

%prep
%setup -q -n %{oname}-%{version}


cp -a . %{py3dir}

%build
%py2_build
pushd  %{py3dir}
%py3_build
popd

%install
%py2_install
pushd %{py3dir}
%py3_install
popd


%files
%{python_sitelib}/%{oname}*

%files -n python3-%{oname}
%{python3_sitelib}/%{oname}*


%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 0.4.8-1pclos2022
- update and rebuild for python 3.10

* Sat Oct 05 2019 tex - 0.4.2-2pclos2019
- rebuild against updates

* Fri Oct 04 2019 tex - 0.4.2-1pclos2019
- update
